# SAXNotSupportedException Class Reference

Inheritance diagram for SAXNotSupportedException:

List of all members.

## Public Member Functions

| SAXNotSupportedException (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| SAXNotSupportedException (const XMLCh *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException.
| SAXNotSupportedException (const char *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException.
| SAXNotSupportedException (const SAXException &toCopy)
| Copy constructor.

## Constructor & Destructor Documentation

SAXNotSupportedException::SAXNotSupportedException | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

SAXNotSupportedException::SAXNotSupportedException | ( | const XMLCh *const | msg,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Create a new SAXException.

Parameters:

  | msg | The error or warning message.
  | manager | Pointer to the memory manager to be used to allocate objects.

SAXNotSupportedException::SAXNotSupportedException | ( | const char *const | msg,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Create a new SAXException.

Parameters:

  | msg | The error or warning message.
  | manager | Pointer to the memory manager to be used to allocate objects.

SAXNotSupportedException::SAXNotSupportedException | ( | const SAXException & | toCopy | ) |

Copy constructor.

Parameters:

  | toCopy | The exception to be copy constructed

The documentation for this class was generated from the following file:

- SAXException.hpp